"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.destroy = exports.dispose = exports.create = exports.default = void 0;

var _rdsdataservice = _interopRequireDefault(require("aws-sdk/clients/rdsdataservice"));

var _resolveEventstoreBase = _interopRequireDefault(require("resolve-eventstore-base"));

var _loadEventsByCursor = _interopRequireDefault(require("./js/load-events-by-cursor"));

var _loadEventsByTimestamp = _interopRequireDefault(require("./js/load-events-by-timestamp"));

var _freeze = _interopRequireDefault(require("./js/freeze"));

var _unfreeze = _interopRequireDefault(require("./js/unfreeze"));

var _getLatestEvent = _interopRequireDefault(require("./js/get-latest-event"));

var _saveEvent = _interopRequireDefault(require("./js/save-event"));

var _fullJitter = _interopRequireDefault(require("./js/full-jitter"));

var _executeStatement = _interopRequireDefault(require("./js/execute-statement"));

var _injectEvent = _interopRequireDefault(require("./js/inject-event"));

var _coercer = _interopRequireDefault(require("./js/coercer"));

var _escapeId = _interopRequireDefault(require("./js/escape-id"));

var _escape = _interopRequireDefault(require("./js/escape"));

var _shapeEvent = _interopRequireDefault(require("./js/shape-event"));

var _loadSnapshot = _interopRequireDefault(require("./js/load-snapshot"));

var _saveSnapshot = _interopRequireDefault(require("./js/save-snapshot"));

var _dropSnapshot = _interopRequireDefault(require("./js/drop-snapshot"));

var _connect = _interopRequireDefault(require("./connect"));

var _init = _interopRequireDefault(require("./init"));

var _drop = _interopRequireDefault(require("./drop"));

var _dispose = _interopRequireDefault(require("./dispose"));

var _secretsManager = _interopRequireDefault(require("./secrets-manager"));

var _create = _interopRequireDefault(require("./resource/create"));

var _dispose2 = _interopRequireDefault(require("./resource/dispose"));

var _destroy = _interopRequireDefault(require("./resource/destroy"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line import/no-extraneous-dependencies
const createAdapter = _resolveEventstoreBase.default.bind(null, {
  connect: _connect.default,
  loadEventsByCursor: _loadEventsByCursor.default,
  loadEventsByTimestamp: _loadEventsByTimestamp.default,
  getLatestEvent: _getLatestEvent.default,
  saveEvent: _saveEvent.default,
  init: _init.default,
  drop: _drop.default,
  dispose: _dispose.default,
  freeze: _freeze.default,
  unfreeze: _unfreeze.default,
  RDSDataService: _rdsdataservice.default,
  escapeId: _escapeId.default,
  escape: _escape.default,
  fullJitter: _fullJitter.default,
  executeStatement: _executeStatement.default,
  injectEvent: _injectEvent.default,
  coercer: _coercer.default,
  shapeEvent: _shapeEvent.default,
  getSecretsManager: _secretsManager.default,
  loadSnapshot: _loadSnapshot.default,
  saveSnapshot: _saveSnapshot.default,
  dropSnapshot: _dropSnapshot.default
});

var _default = createAdapter;
exports.default = _default;
const cloudPool = {
  executeStatement: _executeStatement.default,
  connect: _connect.default,
  RDSDataService: _rdsdataservice.default,
  escapeId: _escapeId.default,
  escape: _escape.default,
  fullJitter: _fullJitter.default,
  coercer: _coercer.default,
  dispose: _dispose.default,
  shapeEvent: _shapeEvent.default
};

const createResource = _create.default.bind(null, cloudPool);

exports.create = createResource;

const disposeResource = _dispose2.default.bind(null, cloudPool);

exports.dispose = disposeResource;

const destroyResource = _destroy.default.bind(null, cloudPool);

exports.destroy = destroyResource;
Object.assign(cloudPool, {
  createResource,
  disposeResource,
  destroyResource
});
//# sourceMappingURL=index.js.map